List
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.genuka.com/2023-11/admin/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.genuka.com/2023-11/admin/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2025-10-10T14:55:27.000000Z",
"description": null,
"events": [
"order.created"
],
"failure_count": 0,
"id": "01k779x9jv4cdpca6zjzgdatj3",
"is_active": true,
"last_triggered_at": null,
"metadata": null,
"secret": "c2EmRyAUY0uND8qvv2px5iOUbYHDpAtz",
"updated_at": "2025-10-10T14:55:27.000000Z",
"url": "https://genuka-api.test/admin"
}
],
"links": {
"first": "http://genuka-api.test/2023-11/admin/webhooks?page=1",
"last": "http://genuka-api.test/2023-11/admin/webhooks?page=1",
"next": null,
"prev": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"active": false,
"label": "« Previous",
"page": null,
"url": null
},
{
"active": true,
"label": "1",
"page": 1,
"url": "http://genuka-api.test/2023-11/admin/webhooks?page=1"
},
{
"active": false,
"label": "Next »",
"page": null,
"url": null
}
],
"path": "http://genuka-api.test/2023-11/admin/webhooks",
"per_page": 15,
"to": 1,
"total": 1
}
}Webhooks
Get all webhooks
Retrieves a list of all webhooks registered in your store. Each webhook includes details such as its URL, subscribed events, status, and creation date. Useful for managing or auditing your webhook integrations.
GET
/
2023-11
/
admin
/
webhooks
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Query Parameters
Example:
"confirmed"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"created_at": "2025-10-10T14:55:27.000000Z",
"description": null,
"events": ["order.created"],
"failure_count": 0,
"id": "01k779x9jv4cdpca6zjzgdatj3",
"is_active": true,
"last_triggered_at": null,
"metadata": null,
"secret": "c2EmRyAUY0uND8qvv2px5iOUbYHDpAtz",
"updated_at": "2025-10-10T14:55:27.000000Z",
"url": "https://genuka-api.test/admin"
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
